%% 
clc
clear all 
N = 100; % number of inner point
t0=0;
T=1;
h=(T-t0)/N;;
tn = linspace (t0, T, N);
yn=zeros(2,N);
t=t0;
ua=0;
va=1/4; % assumation of V(a)
B=0
n=0.375
miu0=102.0
t1=4.36
R=0.1
delp_L=-20
vs=delp_L*R*R/miu0
lamda=t1*vs/R
% shooting loop 
 for i=1:100  
y=[ua;va];
for n=1:N-1  
y= y+h*fun(t,y,lamda,n);  %here is the jacobian formulation 
t=t+h;
yn(:,n+1)=y;
end 
if abs(yn(1,n+1))<0.000001 % reach final value of y2
    va;
    break 
end 
va=va+0.003065;
end
disp('last value')
disp(yn(1,n+1))
yn(2,1)=yn(2,2) % true for at the centre
disp(' value of v(a)') % inital condition of y2
disp(yn(2,n+1))
Vz=yn(2,:)/vs;
plot(tn,Vz,'o')
xlabel('r');
ylabel('Vz ');
x=tn;
f = 2*pi*x.*Vz;
disp(' flowrate') % inital condition of y2
Q = abs((sum(f)-(f(1)+f(n+1)))/h) ; % trapezodal rule
%q = integral(fun,0,0.1)




